clang 8.0.0

Public Member Functions | Static Public Member Functions | Friends | List of all members
clang::SubstTemplateTemplateParmStorage Class Reference

A structure for storing the information associated with a substituted template template parameter. More...

`#include "clang/AST/TemplateName.h"`

Inheritance diagram for clang::SubstTemplateTemplateParmStorage:
[legend]
Collaboration diagram for clang::SubstTemplateTemplateParmStorage:
[legend]

## Public Member Functions
TemplateTemplateParmDecl * | getParameter () const
TemplateName | getReplacement () const
void | Profile (llvm::FoldingSetNodeID &ID)
Public Member Functions inherited from clang::UncommonTemplateNameStorage
unsigned | size () const
OverloadedTemplateStorage * | getAsOverloadedStorage ()
SubstTemplateTemplateParmStorage * | getAsSubstTemplateTemplateParm ()
SubstTemplateTemplateParmPackStorage * | getAsSubstTemplateTemplateParmPack ()

## Static Public Member Functions
static void | Profile (llvm::FoldingSetNodeID &ID, TemplateTemplateParmDecl *parameter, TemplateName replacement)

## Friends
class | ASTContext

## Additional Inherited Members
Protected Types inherited from clang::UncommonTemplateNameStorage
enum | Kind { Overloaded, SubstTemplateTemplateParm, SubstTemplateTemplateParmPack }
Protected Member Functions inherited from clang::UncommonTemplateNameStorage
| UncommonTemplateNameStorage (Kind kind, unsigned size)
Protected Attributes inherited from clang::UncommonTemplateNameStorage
union {
struct BitsTag Bits
void * PointerAlignment
}; |

## Detailed Description

A structure for storing the information associated with a substituted template template parameter.

Definition at line 326 of file TemplateName.h.

## Member Function Documentation

## ◆ getParameter()

TemplateTemplateParmDecl* clang::SubstTemplateTemplateParmStorage::getParameter | ( |  | ) | const
| inline

Definition at line 339 of file TemplateName.h.

References clang::Parameter.

Referenced by clang::ASTImporter::Import().

## ◆ getReplacement()

TemplateName clang::SubstTemplateTemplateParmStorage::getReplacement | ( |  | ) | const
| inline

Definition at line 340 of file TemplateName.h.

Referenced by clang::ASTImporter::Import().

## ◆ Profile() [1/2]

void SubstTemplateTemplateParmStorage::Profile | ( | llvm::FoldingSetNodeID & | ID | ) |

Definition at line 39 of file TemplateName.cpp.

References clang::SubstTemplateTemplateParmPackStorage::Profile().

Referenced by clang::ASTContext::getSubstTemplateTemplateParm().

## ◆ Profile() [2/2]

void SubstTemplateTemplateParmStorage::Profile | ( | llvm::FoldingSetNodeID & | ID,
|  | TemplateTemplateParmDecl * | parameter,
|  | TemplateName | replacement
| ) |  |
| static

Definition at line 43 of file TemplateName.cpp.

References clang::TemplateName::getAsVoidPointer().

## Friends And Related Function Documentation

## ◆ ASTContext

friend class ASTContext
| friend

Definition at line 328 of file TemplateName.h.

The documentation for this class was generated from the following files:

- include/clang/AST/TemplateName.h
- lib/AST/TemplateName.cpp